Your browser needs less fail and more canvas. Google Chrome or Mozilla Firefox support Canvas

Cats with compilers on lollerskates, Network status is UP, Stasticially you should be dead ….

Posted on by Benjamin Southall

Hi everyone,

This is my third audio blog, as all good things come in threes, well perhaps not, but shmeh,

Audio clip: Adobe Flash Player (version 9 or above) is required to play this audio clip. Download the latest version here. You also need to have JavaScript enabled in your browser.

Have fun and Best wishes

Benjamin Southall aka Appleman1234 🙂

BTW please check out the pictures, lyrics, poetry, extra stuff etc

BTW I CAN HAS Audio Blog 3 ;P

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

*

*